uglMesaCreateNewContext(3)

NAME
uglMesaCreateNewContext - Create a simple WindML/Mesa rendering context

SYNOPSIS
#include <GL/uglmesa.h>

UGL_MESA_CONTEXT uglMesaCreateNewContext(GLenum mode, UGL_MESA_CONTEXT share_list);

DESCRIPTION
The uglMesaCreateNewContext function creates a WindML/Mesa rendering context. The attributes needed are a buffer mode mode and a context sharelist share_list.

It's necessary to first call this function before using uglMakeCurrentContext. This function provides neither stencil nor accumulation buffer only a depth buffer to reduce memory footprint.

INPUT
mode - can takes the following mask values:
      UGL_MESA_SINGLE = single buffer mode
      UGL_MESA_DOUBLE = double buffer mode, first tries hardware mode and then software mode
      UGL_MESA_DOUBLE_SOFTWARE = double buffer software, fails if impossible
      UGL_MESA_DOUBLE_HARDWARE = double buffer hardware, fails if impossible
      UGL_MESA_WINDML_EXCLUSIVE = uses only WindML calls to write into the memory screen

For example, uglMesaCreateNewContext(UGL_MESA_SINGLE | UGL_MESA_WINDML_EXCLUSIVE) will use a single buffer and will only write into the screen memory with WindML calls. UGL_MESA_DOUBLE_SOFTWARE will be replaced by UGL_MESA_DOUBLE in WindML mode. There is no sense to use single and double buffer at the same time.

share_list - specifies another UGL_MESA_CONTEXT with which to share display lists. NULL indicates no sharing.

RETURN VALUES
a UGL_MESA_CONTEXT, or zero if error.

SEE ALSO
uglMesaCreateNewContextExt(3), uglMesaMakeCurrentContext(3)

COPYRIGHT
Copyright © 2001 Wind River Systems, Inc.